Skip to main content

Published Release Notes

Find release notes for the selected Pega Version and Capability

Browse resolved issues for Platform releases.

This documentation is for non-current versions of Pega Platform. For current release notes, go here.

End of support for form-based rule forms in Pega 7.1.9

Valid from Pega Version 7.1.9

Rule forms that are configured to render as forms are no longer supported in Designer Studio or end-user applications. Form-based configurations are found on custom rule types that were created in earlier versions of Pega 7 and are characterized by pop-up windows that are rendered externally from Designer Studio.

Reconfigure Pega 7 applications that use such rule forms by using standard harnesses and sections.

  1. Open the class form.
  2. Click the Advanced tab.
  3. Select Harness from the Rule formmenu.
  4. Create a new harness and new sections that implement the logic of the custom rule, using standard user interface layouts and controls.

Migrating custom rule forms to harnesses and sections offers the following benefits:

  • User interfaces become HTML5 WC3 compatible and responsive to different screen sizes.
  • User interfaces become cross-browser compatible, rendered consistently in Google Chrome, Mozilla Firefox, Apple Safari, and recent versions of Microsoft Internet Explorer.
  • Rendering performance on modern browsers is dramatically improved.
  • User interface pop-up behavior is eliminated; all windows are rendered inside Designer Studio and end-user applications.

End of support for Microsoft Internet Explorer 8 and quirks mode applications in Pega 7.1.9

Valid from Pega Version 7.1.9

In accordance with Microsoft’s announcement to discontinue support for Internet Explorer 8 in January 2016, Pega 7.1.9 does not support Internet Explorer 8, nor does it support non-HTML5 standard user interfaces.

You must upgrade to Microsoft Internet Explorer 9 or later or use Google Chrome, Apple Safari, or Mozilla Firefox. If you are using Internet Explorer 9 or later, you must turn off compatibility mode by accessing the Compatibility View settings.

Note the following:

  • Pega 7.1.9 does not support user interface rules that are not based on HTML5 standards (rules in quirks mode).
  • If you use applications that are rendered in quirks mode, which enables Pega 7 to correctly display and render non-HTML5 standard user interfaces, you must update them to standards-based HTML5 user interfaces when you upgrade to Pega 7.1.9 or later. Pega 7 provides automated tools to help you migrate your applications.
  • Pegasystems Global Customer Support will not investigate or fix any Pega 7.1.9 bugs or support requests that are exclusive to Internet Explorer 8 or quirks mode user interfaces.

You can quickly identify which components of your application user interface are not HTML5 standards-based by clicking Designer Studio > User Interface > HTML5 Application Readiness.

Upgrading to Pega 7.1.9 and a newer browser offers the following benefits:

  • These browsers are HTML5 and CSS3 compliant.
  • New features are supported and existing features work as intended.
  • The Pega 7 Platform user interface is displayed and rendered as intended.
  • Browser security is enhanced.

If you have additional questions about browser support, see the Platform Support Guide or contact Pegasystems Global Customer Support.

Updated default system pulse processing settings

Valid from Pega Version 7.1.9

The default settings for system pulse processing have been updated in this release.

Upgrades to Pega 7.1.9 from a previous version of the Pega 7 Platform use database pulse by default. Database pulse synchronizes rule changes at a periodic interval across all nodes in a system.

New installations of Pega 7.1.9 use cluster-based pulse by default. Cluster-based pulse immediately updates rule changes across all nodes in a system after the changes are saved.

You can change the database pulse setting to the cluster-based pulse setting by updating the value attribute for initialization/pulse/transport to "cluster" in the prconfig.xml file or in the Dynamic System Settings. Changing from database pulse to cluster-based pulse requires a full cluster restart after the changes are made.

For more information, see Pega-RULES agents.

PegaDISTRIBUTION Manager (PDM) is no longer available

Valid from Pega Version 7.1.9

The PegaDISTRIBUTION Manager (PDM) is no longer available in the Pega 7 Platform. The related PDN articles and help topics have been archived.

End of support for Microsoft Internet Explorer 9 in Pega 7.2.1

Valid from Pega Version 7.2.1

In accordance with Microsoft’s announcement to discontinue support for Internet Explorer 9, Pega 7.2.1 will not support Internet Explorer 9. You should not upgrade to Pega 7.2.1 if you are still using Internet Explorer 9. Otherwise, upgrade to Microsoft Internet Explorer 10 or later, or use Google Chrome, Apple Safari, or Mozilla Firefox, which support certain HTML5 and CSS3 standards not supported in Internet Explorer 9.

For more information about browser support, see the Platform Support Guide or contact Pegasystems Global Customer Support.

 

 

 

Discontinued support for multithreaded requestors

Valid from Pega Version 7.2.1

Multithreaded requestors are no longer supported in the Pega 7 Platform. Multithreading was previously specified by the prconfig setting initialization/allowMultiplePRThreads. If this setting is set to true when you upgrade to Pega 7.2.1, errors occur during the quiesce process.

Child case queries can be slow after upgrade

Valid from Pega Version 7.2.1

After upgrading, performance might be slow when you run queries on child cases for work tables that existed prior to the upgrade. This issue is often indicated by PEGA0005 (query time exceeded limit) alerts that can be correlated to these queries in the logs. To resolve the issue, add a database index to each of your work tables by using a multicolumn index on the pxCoverInsKey, pxObjClass, and pyStatusWork columns.

For more information, see Performance improvements for child case queries.

The UpdateAdaptiveModels agent causes an exception after Pega 7.2 to 7.2.1 upgrade

Valid from Pega Version 7.2.1

After the Pega 7 Platform is upgraded from version 7.2 to 7.2.1, the log files might show an error that is caused by the UpdateAdaptiveModels agent. This agent is enabled by default and is responsible for updating scoring models in the Pega 7 Platform. If you use adaptive models in your solution, you can avoid this error by configuring the Adaptive Decision Manager service. If you do not use adaptive models, disable the UpdateAdaptiveModels agent.

For more information, see Configuring the Adaptive Decision Manager service and Pega-DecisionEngine agents.

Reconfiguration of the Adaptive Decision Manager service after upgrade to Pega 7.2.1

Valid from Pega Version 7.2.1

After you upgrade the Pega 7 Platform to version 7.2.1, you need to reconfigure the Adaptive Decision Manager service. Beginning with Pega 7.2.1, the Adaptive Decision Management (ADM) service is native to the Pega 7 Platform and is supported by the Decision data node infrastructure.

For more information, see Services landing page.

We'd prefer it if you saw us at our best.

Pega.com is not optimized for Internet Explorer. For the optimal experience, please use:

Close Deprecation Notice
Contact us